function makehtmlhelpfilemanage(filename,filepath,mode)

%   makehtmlhelpfilemanage

%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      

answer = questdlg('Do you wish to use a default output path?','Results:','Yes','No','Yes');
if strcmp(answer,'Yes')
    initpath = setdefpath(1);
    outpath = uigetdir('','Please choose output directory:');
    setdefpath(2,outpath);
else
    outpath = [];
end

if mode==0
   modefehler
   return

% directory mode   
elseif mode==11
   cd (filepath);
   filelist=dir(filepath);
   filelistsize=size(filelist);
      
	% Schleife für Files
   for filezaehler=3:filelistsize(1)
      try
      makehtmlhelpfile(filelist(filezaehler).name,filepath,outpath);
      catch
      end
   end
   ok
   
% batchfile mode   
elseif mode==12
  
     filemat=batchfiletomat(filename,filepath);
     filematgroessevec=size(filemat);
     filematgroesse=filematgroessevec(2);
     for l=1:filematgroesse
         try
            makehtmlhelpfile(filemat{l},[],outpath);
         catch
         end
     end
     ok
   
      
% single file mode   
elseif mode==2
   makehtmlhelpfile(filename,filepath,outpath);
   ok
  
end

return